player = require 'player'

_TurnCount = 0
_ArenaWidth = 0
_ArenaHeight = 0

local M = class(player, function(self, arenaWidth, arenaHeight)
	-- must init base!
	player.init(self)
    self.name = "No Fire Control"
    self.R = 200
    self.G = 50
    self.B = 0
	
	_ArenaWidth = arenaWidth
	_ArenaHeight = arenaHeight
end)

-- data[1][1] = X
-- data[1][2] = Y
-- data[1][3] = bodyRotation
-- data[1][4] = turretRotation
-- data[1][5] = hitPoints
-- data[1][6] = turretX
-- data[1][7] = turretY
function M:process(data)
    -- do all calculations and setting of desired actions here
	_TurnCount = _TurnCount + 1
	if (_TurnCount % 4) == 0 then
		self.bodyRotationDelta = .1
	else
		self.bodyRotationDelta = 0
	end
	self.bodySpeed = 1
	if data[1][5] < 10 then
		self.bodySpeed = 2
		self.bodyRotationDelta = .005
		self.turretDelta = -.1
	end
	self.shouldFire = true
end

return M
